{% extends "application.html" %}
{% block style %}
    <meta name="csrf-token" content="{{ csrf_token() }}">
{% endblock %}
{% block content %}
    <div class="container-fluid">
        <div class="row d-flex justify-content-between">
            <h1 class="h3 mb-2 text-gray-800">
                {% if is_create %}
                    Thêm mới thông tin phòng khám
                {% else %}
                    Chỉnh sửa thông tin phòng khám
                {% endif %}
            </h1>
            <a href="{{ url_for('AdminClinic.list') }}" class="btn btn-primary btn-icon-split mb-2">
                <span class="text">Back</span>
            </a>
        </div>

        <div class="col-md-12">
            <div class="card shadow mb-4">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary">
                        {% if is_create %}
                            Tạo mới
                        {% else %}
                            Chỉnh sửa
                        {% endif %}
                    </h6>
                </div>
                <div class="card-body">
                    {% if is_create %}
                        <form accept-charset="UTF-8" role="form" action="{{ url_for('AdminClinic.create') }}"
                              method="POST">
                    {% else %}
                        <form accept-charset="UTF-8" role="form" action="{{ url_for('AdminClinic.update') }}"
                              method="POST">
                    {% endif %}
                    <fieldset>
                        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <input class="form-control" hidden name="id" type="text"
                                           value="{{ clinic.id if clinic else '' }}">
                                    <input type="text" hidden id="user-image" name="image_id"
                                           value="{{ clinic.image_id if clinic else '' }}">
                                    <div class="form-group">
                                        {{ form.name.label }}
                                        {{ form.name(class="form-control", value=clinic.name if clinic else '') }}
                                    </div>
                                    <div class="form-group">
                                        {{ form.address.label }}
                                        {{ form.address(class="form-control", value=clinic.address if clinic else
                                            '') }}
                                    </div>
                                    <div class="form-group">
                                        {{ form.description.label }}
                                        {{ form.description(class="form-control", value=clinic.description if clinic else
                                            '') }}
                                    </div>

                                </div>
                            </div>
                            <div class="d-flex justify-content-center">
                                {{ form.submit(class="btn btn-primary") }}
                            </div>
                        </div>
                    </fieldset>
                    {% if is_create %}
                        </form>
                    {% endif %}
                    {% if not is_create %}
                        </form>
                    {% endif %}
                </div>
            </div>
        </div>


    </div>

{% endblock %}
{% block script %}
    <script>
        $(document).ready(function () {
            var csrftoken = $('meta[name=csrf-token]').attr('content');
            $.ajaxSetup({
                beforeSend: function (xhr, settings) {
                    if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type) && !this.crossDomain) {
                        xhr.setRequestHeader("X-CSRFToken", csrftoken)
                    }
                }
            });


            function readURL(input) {
                if (input.files && input.files[0]) {
                    let reader = new FileReader();

                    reader.onload = function (e) {
                        $('#blah').attr('src', e.target.result);
                    };

                    reader.readAsDataURL(input.files[0]);

                    let formData = new FormData();
                    formData.append("file", input.files[0]);

                    $.ajax({
                        url: '/upload/image',
                        method: 'post',
                        data: formData,
                        contentType: false,
                        credentials: 'include',
                        processData: false
                    }).done(function (result) {
                        console.log(result);
                        $("#user-image").val(result.data.id);
                    });

                }
            }

            $("#imgInp").change(function () {
                readURL(this);
            });
        });

    </script>
{% endblock %}
